// Copyright (C) 2011 - DIGITEO - Michael Baudin
// Copyright (C) 2008 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt


// <-- JVM NOT MANDATORY --> 

computed = makematrix_circul ( 1:10 );
expected = [
     1     2     3     4     5     6     7     8     9    10
    10     1     2     3     4     5     6     7     8     9
     9    10     1     2     3     4     5     6     7     8
     8     9    10     1     2     3     4     5     6     7
     7     8     9    10     1     2     3     4     5     6
     6     7     8     9    10     1     2     3     4     5
     5     6     7     8     9    10     1     2     3     4
     4     5     6     7     8     9    10     1     2     3
     3     4     5     6     7     8     9    10     1     2
     2     3     4     5     6     7     8     9    10     1
];
assert_checkalmostequal ( computed , expected , 10 * %eps );

x=[
1
2
3
];
computed = makematrix_circul ( x );
expected = [
     1     2     3
     3     1     2
     2     3     1
];
assert_checkalmostequal ( computed , expected , 10 * %eps );

