// Copyright (C) 2011 - DIGITEO - Michael Baudin
// Copyright (C) 2008 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// <-- JVM NOT MANDATORY --> 


computed = makematrix_frank ( 5 );
expected = [
5     4     3     2     1
4     4     3     2     1
0     3     3     2     1
0     0     2     2     1
0     0     0     1     1
];
assert_checkalmostequal ( computed , expected , 10 * %eps );

computed = makematrix_frank ( 5 , 1 );
expected = [
1     1     1     1     1
1     2     2     2     2
0     2     3     3     3
0     0     3     4     4
0     0     0     4     5
];
assert_checkalmostequal ( computed , expected , 10 * %eps );

